BlackBerry Forums Support Community               

Closed Thread
 
LinkBack Thread Tools
Old 10-18-2007, 09:58 AM   #1 (permalink)
New Member
 
Join Date: Sep 2007
Model: 8800
PIN: N/A
Carrier: ATT
Posts: 2
Post Thanks: 0
Thanked 0 Times in 0 Posts
Default Missing BlackBerry base class 'net.rim.blackberry.api.pdap'

Please Login to Remove!

When trying to run a synchronization app I've written, I'm getting
the following error on the Blackberry 8800 for which it is written:
"Class 'net.rim.blackberry.api.pdap.BlackBerryMemo' not found "


I checked the available classes in the BB8800 and surely enough, it's not
included. This class IS included in the "net.rim.api.jar" package that comes with the JDE 4.2.1 I'm developing on.

How can I set my cod file so it includes the needed classes? Update the entire BB's operating system? If so how?
Offline  
Old 10-18-2007, 10:02 AM   #2 (permalink)
Crimson Tide Moderator
 
JSanders's Avatar
 
Join Date: Oct 2004
Location: North of the moss line
Model: 9xx0
OS: 7.0sumtin
PIN: t low
Carrier: Verizon
Posts: 41,907
Post Thanks: 60
Thanked 244 Times in 182 Posts
Default

sd, I don't know if must update the OS, if that turns out to be the case, do so here:
How do I upgrade the OS on my BlackBerry? - BlackBerryFAQ

and
http://www.blackberryforums.com/gene...w-chinese.html

Follow the directions exactly as written and you will be find.
Offline  
Closed Thread


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On





Copyright 2004-2014 BlackBerryForums.com.
The names RIM and BlackBerry are registered Trademarks of BlackBerry Inc.